Bug 2025803 - Black screen when unplugged from USB-C dock
Summary: Black screen when unplugged from USB-C dock
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 35
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Florian Müllner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-23 04:34 UTC by mrremo
Modified: 2021-12-12 01:10 UTC (History)
7 users (show)

Fixed In Version: mutter-41.1-2.fc35
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-12 01:10:21 UTC
Type: Bug


Attachments (Terms of Use)

Description mrremo 2021-11-23 04:34:42 UTC
Description of problem:
Since the update to 41.1.1, every time I unplug my laptop (Thinkpad P14s 1Gen) from the USB-C dock, the screen goes black.

Version-Release number of selected component (if applicable):
41.1.1

Additional info:
If I downgrade mutter to 41.0.4 then it works again.

The problem has already been fixed (https://gitlab.gnome.org/GNOME/mutter/-/issues/2007), only the new version is missing.

More infos here: https://ask.fedoraproject.org/t/black-laptop-screen-after-disconnect-from-thinkpad-ultra-dock/17966

Comment 1 manuel 2021-12-10 16:10:40 UTC
I also face this issue on a HP G5 USB-C dock with a Lenovo Yoga 7 (Ryzen 5800U)

Comment 2 Fedora Update System 2021-12-10 21:18:51 UTC
FEDORA-2021-e0f1fe6166 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-e0f1fe6166

Comment 3 Fedora Update System 2021-12-11 01:16:13 UTC
FEDORA-2021-e0f1fe6166 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-e0f1fe6166`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-e0f1fe6166

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-12-12 01:10:21 UTC
FEDORA-2021-e0f1fe6166 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.